package com.infoepoch.pms.agent.domain.baisc.user;

import com.infoepoch.pms.agent.common.utils.AbstractCriteria;

import java.util.List;

public class UserQueryCriteria extends AbstractCriteria {

    // region 部门ID列表

    private List<String> departmentIdList;

    public List<String> getDepartmentIdList() {
        return departmentIdList;
    }

    public void setDepartmentIdList(List<String> departmentIdList) {
        this.departmentIdList = departmentIdList;
        this.andMap.put("DepartmentIdList", departmentIdList);
    }

    // endregion 部门ID列表

    // region 禁用标识

    private Boolean disabledFlag;

    public Boolean getDisabledFlag() {
        return disabledFlag;
    }

    public void setDisabledFlag(Boolean disabledFlag) {
        this.disabledFlag = disabledFlag;
    }

    // endregion 禁用标识

    // region 组织树父节点ID

    private String treeParentId;

    public String getTreeParentId() {
        return treeParentId;
    }

    public void setTreeParentId(String treeParentId) {
        this.treeParentId = treeParentId;
    }

    // endregion 组织树父节点ID

    // region 组织ID

    private String organizationId;

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    // endregion 组织ID

    // region 组织ID列表

    private List<String> organizationIdList;

    public List<String> getOrganizationIdList() {
        return organizationIdList;
    }

    public void setOrganizationIdList(List<String> organizationIdList) {
        this.organizationIdList = organizationIdList;
    }

    // endregion 组织ID列表

    // region 员工编号列表

    private List<String> jobNumberList;

    public List<String> getJobNumberList() {
        return jobNumberList;
    }

    public void setJobNumberList(List<String> jobNumberList) {
        this.jobNumberList = jobNumberList;
        this.andMap.put("JobNumberList", jobNumberList);
    }

    // endregion 员工编号列表

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    private String userId;



}
